Subject: Re: bug#66283: 30.0.50; which-function-mode: When configured to display in header, and toggling off, then does not remove header

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Oct 2023 10:29:59 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: Mekeor Melire <[email-masked]>,  Author <[email-masked]>,
>    [email-masked],  Committer <[email-masked]>
> Date: Wed, 04 Oct 2023 11:13:06 -0400
> 
> Two fixes to the previous patch:
> 
> - There was always a bug with which-function-mode where if you enabled
>   it when there were already existing buffers, it would behave
>   differently than if you enabled it and then created those buffers.
>   Namely it would enable which-func-mode for every buffer, even if the
>   buffer didn't support imenu.  This is especially noticeable when
>   toggling which-function-mode and using the header line, so I fixed it.
> 
> - Also, I accidentally dropped a paren before submitting.  Now that's
>   fixed :)

Thanks, but how about some tests for these fixes?  It's high time
which-mode had some test suite, I think.